using System;

internal sealed class Delegate365 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate365 delegate365_1)
	{
		return delegate365_1(object_0);
	}

	public extern Delegate365(object object_0, IntPtr intptr_0);

	static Delegate365()
	{
		Class10.smethod_13(typeof(Delegate365).TypeHandle);
	}

	internal static Delegate365 delegate365_0;
}
